Irrigation Analysis Setup Troubleshooting

Last Updated: 22 August 2018         For: OptiSurface Designer v2.5 and up


Issue:

When I ran the irrigation analysis for the first time, I'm getting installation errors as shown below:


Solution:

The Irrigation Analysis requires .NET Framework 3.5 to run. See the steps below:

1. Download and install Microsoft .NET Framework 3.5
    Windows XP and lower:  https://www.microsoft.com/en-in/download/details.aspx?id=21
    Windows 7 x86:  https://www.microsoft.com/en-us/download/details.aspx?id=5726
    Windows 7 x64:  https://www.microsoft.com/en-us/download/details.aspx?id=7942
    Windows 10: Skip to Step 2.

2. Turn ON the Windows Feature for .NET Framework 3.5. Go to the Control Panel > Programs > Turn Windows Features On or Off > (see below)
    

3. Find OptiSurface Designer launcher on your desktop (OSDesigner.exe) and run as Administrator.
   

4. Run Irrigation Analysis again.



Feedback and Knowledge Base